<template>
	<view class="container">
		<!-- 每一个人员区域 -->
		<view class="box" v-for="item in dataList" :key="item.id">
			<image class="img" src="@/static/images/9.png"></image>
			<view class="name">{{ item.name }}</view>
			<!-- <view class="time">{{ type == 1 ? '报名' : '签到' }}时间：2024-02-02 16:53</view> -->
		</view>
	</view>
</template>

<script setup>
import { onLoad } from '@dcloudio/uni-app'
import { ref } from 'vue'

// 页面类型 1 报名页面 2 签到页面
const type = ref()
// 人员列表
const dataList = ref([])

onLoad((options) => {
	if (options.type == 1) {
		uni.setNavigationBarTitle({
			title: '已报名成员'
		})
	}
	if (options.type == 2) {
		uni.setNavigationBarTitle({
			title: '签到成员'
		})
	}
	if (options.type) {
		type.value = options.type
	}
	if (options.list) {
		dataList.value = JSON.parse(decodeURIComponent(options.list))
	}
})
</script>

<style lang="scss" scoped>
.container {
	padding: 20rpx 18rpx;
	min-height: 100vh;
	font-size: 28rpx;
	color: #808080;

	.box {
		display: flex;
		align-items: center;
		padding: 10rpx 0;
		margin-bottom: 20rpx;
		border-bottom: 2rpx solid #e5e5e5;

		.img {
			width: 80rpx;
			height: 80rpx;
			border-radius: 50%;
		}

		.name {
			margin-left: 50rpx;
		}

		.time {
			margin-left: 50rpx;
		}
	}
}
</style>